
Figure - Bug #115360
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】游戏不应该支持小窗模式
2023-01-16 16:18 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-16

Priority: High Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301161238

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Reproducibility: Every time Fixed Version: 2023-02-03

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开游戏模式

2、进入游戏

3、点击工具箱中小窗应用中的这个游戏图标

【预期结果】

3、游戏模式不支持小窗模式

【实际结果】

3、小窗应用中包含游戏应用，但是点击无效，有时会造成游戏崩溃

ps：

目前游戏进入小窗的三种方式：

1、长按应用图标

2、recent中的小窗应用列表

3、游戏模式工具箱中的小窗应用列表

History

#1 - 2023-01-16 16:19 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#2 - 2023-01-17 11:22 - CD FW 曹覃刚

- Due date set to 2023-01-20

#3 - 2023-01-17 19:06 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177190 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com
AF:GameMode: Filter game app from small window app list.TC-RID: 1201-0204810IssueID: TS-R-BUG-115360Change-Id:

I9efaa68a9035aaba21fe0175dfba74d575870654

#4 - 2023-01-17 19:09 - CD FW-廖涛

- % Done changed from 0 to 30

- Root cause set to 小窗应用列表未过滤游戏应用导致。

■ Current conclusion

游戏模式小窗列表已过滤游戏应用。

■ My analysis

小窗应用列表未过滤游戏应用导致。

■ Next action

Launcher 部分需要 App 的同学处理。

#5 - 2023-01-17 19:10 - CD FW-廖涛

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW-廖涛 to CD APP-王宏

#6 - 2023-01-18 14:32 - CD APP-王宏

- Due date changed from 2023-01-20 to 2023-02-03

#7 - 2023-02-01 10:20 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD APP-王营

#8 - 2023-02-02 09:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178633 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW: Launcher: Add game filter for free form1.If the application is game, we disable the free form entrance.TC-RID: 1201-0205301IssueID:

TS-R-BUG-115360Change-Id: I92d48e4ac7aead496d1a0f07d025a9e43f9403d5

#9 - 2023-02-02 09:44 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-03

- Root cause changed from 小窗应用列表未过滤游戏应用导致。 to 编码问题
■ Current conclusion

问题已解决，待测试同事验证

■ My analysis

需要将游戏应用过滤，此类游戏隐藏小窗启动入口，在小窗应用列表中过滤掉游戏应用

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178633

#10 - 2023-02-03 18:57 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

#11 - 2023-02-03 18:57 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
